Bug 821212 - btrfs-convert segfault on lv_root
btrfs-convert segfault on lv_root
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: btrfs-progs (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Josef Bacik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-13 03:11 EDT by Chris Murphy
Modified: 2013-07-31 21:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:28:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
abrt ccpp folder files (107.04 KB, application/x-bzip2)
2012-05-13 03:11 EDT, Chris Murphy
no flags Details
dmesg (102.28 KB, text/plain)
2012-05-13 03:12 EDT, Chris Murphy
no flags Details
/var/log/messages bz2 (112.90 KB, application/x-bzip2)
2012-05-13 03:13 EDT, Chris Murphy
no flags Details
panic screen upon mounting (173.47 KB, image/jpeg)
2012-05-13 03:43 EDT, Chris Murphy
no flags Details

  None (edit)
Description Chris Murphy 2012-05-13 03:11:01 EDT
Description of problem:
btrfs-convert segfaults when converting lv_root from ext4 to btrfs.

Version-Release number of selected component (if applicable):
Fedora-17.TC5-x86_64-Live-Desktop.iso

How reproducible:
2 for 2

Steps to Reproduce:
1. Install F17 Live Desktop with all defaults
2. Reboot
3. Firstboot, create first user...
4. Reboot Live Desktop media
5. btrfs-convert lv_home no errors.
6. btrfs-convert lv_root failure.
  
Actual results:
segfault on conversion
filesystem appears trashed, not bootable, not sure how to recover or if recovery is possible

Expected results:
Conversion to btrfs, or graceful failure.

Additional info:
ABRT says the backtrace is unusable so it wouldn't file this automatically. What I have now is /var/log/messages, the segfault ccpp folder contents, and dmesg.

Hardware is EFI booted Macbook Pro.
Comment 1 Chris Murphy 2012-05-13 03:11:54 EDT
Created attachment 584106 [details]
abrt ccpp folder files
Comment 2 Chris Murphy 2012-05-13 03:12:20 EDT
Created attachment 584107 [details]
dmesg
Comment 3 Chris Murphy 2012-05-13 03:13:36 EDT
Created attachment 584108 [details]
/var/log/messages bz2
Comment 4 Chris Murphy 2012-05-13 03:43:03 EDT
Created attachment 584110 [details]
panic screen upon mounting

I get a panic when mounting with or without -o recovery.

Presently the work around appears to be btrfs-convert -r which does roll back successfully, and the volume can then be mounted again as ext4.
Comment 5 Chris Murphy 2012-05-13 13:13:21 EDT
To be clear, I'm using btrfs-convert from Live Desktop on an ext4 lv_root which is not mounted, but was created with the same Live Desktop.
Comment 6 Chris Murphy 2012-05-14 01:09:44 EDT
3 for 4 reproducibility.

If after installation of F17, I do not reboot off the installed HDD, but rather immediately reboot off Live Desktop install media, (i.e. the F17 on disk has not been modified in any way by virtue of booting, running firstboot, launching any apps etc), the problem does NOT occur.

If I run through first boot, launch Fire Fox, then reboot off Live Desktop installation media, lv_home converts to btrfs OK. But I get a segmentation fault when doing it on lv_root.
Comment 7 Josef Bacik 2012-05-16 10:04:06 EDT
Can you tell me what versions of libuuid and e2fsprogs you have on there so I can get the right debuginfo installed, it seems to be blowing up somewhere in libuuid and I can't tell where.
Comment 8 Chris Murphy 2012-05-16 10:26:36 EDT
e2fsprogs 1.42-4
libuuid 2.21.1-1
Comment 9 Fedora End Of Life 2013-07-03 19:06:40 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-07-31 21:28:47 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.